<?php require_once __DIR__.DIRECTORY_SEPARATOR.'header.php';  
User::check_access('firm','edit');
$firm = Firm::provide();

?>

<form action="action.php?action=save_firm" id="firmForm" method="POST" enctype="multipart/form-data">
	<input id="firm" name="id" type="hidden" value="<?php echo $firm->id; ?>">
	<br><h3>Fiche établissement : </h3><br>
	<div class="row">
		<div class="col">
			<label for="label">Libellé : </label>
			<input id="label" name="label" class="form-control" placeholder="Nom de la société" value="<?php echo $firm->label; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="description">Description : </label>
			<input id="description" name="description" class="form-control" placeholder="Description de la société" value="<?php echo $firm->description; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="logo">Logo : </label><br/>
			<input id="logo" data-type="image" name="logo" class="form-control-file" placeholder="Choisir un logo" value="<?php echo $firm->logo(); ?>" type="file" data-delete="firm_logo_delete(this)" data-default-src="img/default-image.png">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="mail">E-mail : </label>
			<input id="mail" name="mail" class="form-control" placeholder="Adresse mail de la société" value="<?php echo $firm->mail; ?>" type="mail">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="phone">Téléphone Fixe : </label>
			<input id="phone" name="phone" class="form-control" placeholder="N° téléphone de la société" value="<?php echo $firm->phone; ?>" type="phone">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="fax">Fax : </label>
			<input id="fax" name="fax" class="form-control" placeholder="N° fax" value="<?php echo $firm->fax; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="street">Adresse : </label>
			<input id="street" name="street" class="form-control" placeholder="Adresse" value="<?php echo $firm->street; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="street2">Adresse (Complément) : </label>
			<input id="street2" name="street2" class="form-control" placeholder="Adresse (Complément)" value="<?php echo $firm->street2; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="zipcode">Code postal : </label>
			<input id="zipcode" name="zipcode" class="form-control" placeholder="Code postal" value="<?php echo $firm->zipcode; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="city">Ville : </label>
			<input id="city" name="city" class="form-control" placeholder="Nom de ville" value="<?php echo $firm->city; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="siret">N° Siret : </label>
			<input id="siret" name="siret" class="form-control" placeholder="N° Siret" value="<?php echo $firm->siret; ?>" type="text">
		</div>
	</div><br>
	<div class="row">
		<div class="col">
			<label for="iban">N° Iban : </label>
			<input id="iban" name="iban" class="form-control" placeholder="N° Iban" value="<?php echo $firm->iban; ?>" type="text">
		</div>
	</div>
	<hr/>
	<div class="row">
		<div class="col text-center">
			<div class="btn btn-success" onclick="$(this).closest('form').submit()"><i class="fas fa-check"></i> Enregistrer</div>
		</div>
	</div>
</form>
<br>
<?php require_once __ROOT__.'footer.php' ?>


	