
</div>

<?php 
global $myUser,$conf;
$scheme = isset($scheme) ? $scheme : define_url_scheme();
$mediaRoot = isset($mediaRoot) ? $mediaRoot : define_media_root();
$loadingTime = isset($start_time) ? (round(microtime(TRUE) - $start_time,5)) : '';
$cacheVersion = isset($cacheVersion) ? $cacheVersion : 1;
?>
	<footer class="footer noPrint">
		<div class="container">
			<span class="text-muted"><?php echo PROGRAM_NAME.' V'.SOURCE_VERSION.'b'.BASE_VERSION; ?>  by <a href="<?php echo $scheme; ?>://sys1.fr" target="_blank">@Sys1</a> <!--| <a href="file/guide/manuel-utilisateur.pdf" target="_blank"><i class="far fa-file-pdf"></i> Documentation</a> -->-  <?php echo $loadingTime; ?></span>
		</div>
		<div id="toTheTop" title="Retour en haut de page"></div>
	</footer>

	<!-- Composant filtre -->
	<div class="filter-box hidden">
		<div class="input-group simple-search">
			<div class="input-group-prepend">
				<div class="input-group-text">Recherche</div>
			</div>
			<input type="text" class="form-control filter-keyword" placeholder="Mot clé">
			<span id="search-clear" class="fas fa-times"></span>
			<div class="input-group-append">
				<div class="btn btn-info filter-button-search" title="Rechercher" onclick="filter_search($(this).closest('.filter-box'));"><i class="fas fa-search"></i> Rechercher</div>
				<a class="btn btn-link text-muted pointer advanced-button-search" onclick="switch_advanced_filter(this);"><i class="fas fa-filter"></i> Filtrer</a>
			</div>
		</div>
		<div class="advanced-search hidden">
			<h6 class="p-3 d-inline-block font-weight-bold text-uppercase">Recherche avancée</h6>
			<small class="text-muted mb-2 p-3 d-inline-block right">
				<a class="pointer hidden advanced-search-save" onclick="filter_save(this)" title="Enregistrer la recherche"><i class="far fa-hdd"></i> Enregistrer</a>
				<span class="advanced-search-action-separator hidden"> | </span>
				<a class="pointer" onclick="filter_clean(this)" title="Nettoyer la recherche"><i class="fas fa-broom"></i> Nettoyer</a>
			</small>
			<div class="row filterRow form-inline">
				<div class="col-xl-12 p-0">
					<select class="form-control filter-join ml-3">
						<option value="and">Et</option>
						<option value="or">Ou</option>
					</select>

					<select class="form-control filter-column font-weight-bold border-0" onchange="filter_set_column(this)"></select>

					<div readonly="readonly" class="form-control filter-values">Sélectionnez un filtre</div>
					<div class="btn pr-1 filter-delete-button" title="Supprimer ce filtre" onclick="filter_delete(this)"><i class="far fa-trash-alt text-danger"></i></div>
					<div class="btn pl-0 filter-add-button" title="Ajouter un filtre" onclick="filter_add(this)" style=""><i class="fas fa-plus text-success"></i></div>
				</div>

				<div class="filter-value-block" data-value-type="text">
					<select class="form-control filter-operator border-0 text-primary" onchange="filter_set_comparator(this)">
						<option value="=">Égal</option>
						<option value="LIKE">Contient</option>
						<option value="NOT LIKE">Ne contient pas</option>
						<option value="!=">Différent</option>
						<option value="IS NULL"  data-values="0">Non Renseigné</option>
						<option value="IS NOT NULL" data-values="0">Renseigné</option>
					</select> <input type="text" placeholder="Mot clé" data-custom="{{filterCustom}}" class="form-control filter-value">
				</div>
				<div class="filter-value-block" data-value-type="user" >
					<select class="form-control filter-operator border-0 text-primary" onchange="filter_set_comparator(this)">
						<option value="=">Égal</option>
						<option value="!=">Différent</option>
						<option value="IS NULL"  data-values="0">Non Renseigné</option>
						<option value="IS NOT NULL" data-values="0">Renseigné</option>
					</select> <input type="text" data-template="user" data-custom="{{filterCustom}}" data-force="false" placeholder="Utilisateur" class="form-control filter-value">
				</div>
				<div class="filter-value-block" data-value-type="number" >
					<select class="form-control filter-operator border-0 text-primary" onchange="filter_set_comparator(this)">
						<option value="=">Égal</option>
						<option value="between" data-values="2">Entre</option>
						<option value=">">Supérieur à</option>
						<option value="<">Inférieur à</option>
						<option value="IS NULL"  data-values="0">Non Renseigné</option>
						<option value="IS NOT NULL" data-values="0">Renseigné</option>
					</select> <input type="number" data-template="number" data-custom="{{filterCustom}}" placeholder="Nombre" class="form-control filter-value">
				</div>
				<div class="filter-value-block" data-value-type="date" >
					<select class="form-control filter-operator border-0 text-primary" onchange="filter_set_comparator(this)">
						<option value="<">Avant</option>
						<option value=">">Après</option>
						<option value="between" data-values="2">Entre</option>
						<option value="=">Le</option>
						<option value="IS NULL"  data-values="0">Non Renseigné</option>
						<option value="IS NOT NULL" data-values="0">Renseigné</option>
					</select>
					<input type="text" placeholder="dd/mm/yyyy" data-template="date" data-custom="{{filterCustom}}" class="form-control filter-value">
				</div>
				<div class="filter-value-block" data-value-type="dictionnary" >
					<select class="form-control filter-operator border-0 text-primary" onchange="filter_set_comparator(this)">
						<option value="=">Égal</option>
						<option value="!=">Différent</option>
						<option value="IS NULL"  data-values="0">Non Renseigné</option>
						<option value="IS NOT NULL" data-values="0">Renseigné</option>
					</select>
					<select data-template="dictionnary" data-custom="{{filterCustom}}" data-slug="{{slug}}" data-depth="{{depth}}" data-filter-type-value="{{filterTypeValue}}" class="form-control filter-value" data-disable-label></select>
				</div>
				<div class="filter-value-block" data-value-type="boolean" >
					<select class="form-control filter-operator border-0 text-primary" onchange="filter_set_comparator(this)">
						<option value="=">Est coché</option>
						<option value="!=">N'est pas coché</option>
						<option value="IS NULL"  data-values="0">Non Renseigné</option>
						<option value="IS NOT NULL" data-values="0">Renseigné</option>
					</select>
					<input type="text" data-template="boolean" class="form-control filter-value hidden" value="1">
				</div>
			</div>
			<div class="btn btn-info mt-1 mr-2 right" title="Rechercher" onclick="filter_search($(this).closest('.filter-box'));"><i class="fas fa-search"></i> Rechercher</div>
			<div class="clear"></div>
		</div>
	</div>

	<!-- Composant icone -->
	<div class="dropdown component-icon hidden">
	  <button class="btn btn-primary dropdown-toggle" type="button"  data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
	   	<i class="{{value}}"></i>
	  </button>
	  <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
	  	<a class="dropdown-item" onclick="event.stopPropagation();" href="#">
	    	<input type="text" placeholder="Mot clé" class="form-control w-100">
	    </a>
	    <div class="dropdown-divider"></div>
	    <div class="icons-list">
	    	<span class="dropdown-icon-item no-icon" title="Pas d'icône" data-icon="hidden"><i class="far fa-eye-slash"></i></span>
	    {{#choices}}
    		{{#.}}<span class="dropdown-icon-item" title="{{.}}" data-icon="{{.}}"><i class="{{.}}"></i></span>{{/.}}
	    {{/choices}}
	    </div>
	  </div>
	</div>

	<!-- Composant quickform -->
	<div class="modal fade quickform-modal" id="quickform-modal" tabindex="-1" role="dialog" aria-labelledby="quickform-modal-label" aria-hidden="true">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="quickform-modal-label"></h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Fermer">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body"></div>
				<div class="modal-footer">
					<div class="btn btn-light" data-dismiss="modal">Fermer</div>
				</div>
			</div>
		</div>
	</div>

	<!-- Composant dictionnary table -->
	<div class="hidden component-dictionnary-table" data-id="" data-type="dictionnary-table"  data-dictionnary="{{parent.id}}">
	    <table id="" class="table table-striped table-bordered table-hover">
	        <thead>
	            <tr>
	                <th colspan="<?php echo $myUser->superadmin ? 3 : 2; ?>">{{parent.label}}</th>
	            </tr>
	            <tr class="edit-line">
	                <th><input class="form-control edit-field list-label" type="text" placeholder="Libellé de la liste"></th>
	                <?php if($myUser->superadmin): ?>
	                <th><input class="form-control edit-field list-slug" type="text" placeholder="Slug de la liste"></th>
	                <?php endif; ?>
	                <th class="action-cell text-center"><div class="btn btn-success" title="Ajouter un élément de liste"><i class="fas fa-check"></i></div></th>
	            </tr>
	        </thead>
	        <tbody>
	            <tr data-id="{{id}}" class="hidden">
	                <td>{{label}}</td>
	                <?php if($myUser->superadmin): ?>
	                <td>{{slug}}</td>
	                <?php endif; ?>
	                <td class="action-cell text-center">
	                    <span class="btn btn-info btn-squarred btn-mini btn-edit" title="Éditer l'élément de liste"><i class="fas fa-pencil-alt"></i></span>
	                    <span class="btn btn-danger btn-squarred btn-mini" title="Supprimer l'élément de liste"><i class="fas fa-times"></i></span>
	                </td>
	            </tr>
	        </tbody>
	    </table>
	</div>

	<?php echo Plugin::callHook('application_bottom'); ?>
	<!-- Bootstrap core JavaScript -->
	<!-- Placed at the end of the document so the pages load faster -->
	<?php if($conf->get('offline_mode')): ?>
		<script src="<?php echo $mediaRoot ?>/js/vendor/jquery.min.js"></script>
	<?php else: ?>
		<script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
		<script>window.jQuery || document.write('<script src="<?php echo $mediaRoot ?>/js/vendor/jquery.min.js"><\/script>');</script>

		<script id="algolia" data-api="<?php echo $conf->get('maps_api_id'); ?>" data-key="<?php echo $conf->get('maps_api_key'); ?>" src="https://cdn.jsdelivr.net/npm/places.js@1.15.1"></script>
	<?php endif; ?>

	<!-- For fontawesome 5 pseudo-elements -->
	<script> window.FontAwesomeConfig = {searchPseudoElements: true}</script>

	<script src="<?php echo $mediaRoot ?>/js/vendor/popper.min.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/bootstrap.min.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/mustache.min.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/jquery-ui.min.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/jquery.timepicker.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/bootstrap3-typeahead.min.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/trumbowyg.min.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/trumbowyg.colors.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/trumbowyg.table.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/fontawesome.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/vendor/Chart.min.js"></script>
	<script src="<?php echo $mediaRoot ?>/js/plugins.js?v=<?php echo $cacheVersion ?>"></script>
	<script src="<?php echo $mediaRoot ?>/js/main.js?v=<?php echo $cacheVersion ?>"></script>
	<?php echo Plugin::callJs($mediaRoot,$cacheVersion); ?>
	</body>
</html>