<?php
/**
 * Define a gitrepository.
 * @author Administrateur 
 * @category Plugin
 * @license copyright
 */
class GitRepository extends Entity{

	public $id;
	public $url; //Adresse http (Texte Long)
	public $login; //Login (Texte)
	public $password; //Mot de passe (Texte)
	public $synchronise; //Synchroniser (Booléen)
	
	protected $TABLE_NAME = 'git_git_repository';
	public $fields =
	array(
		'id' => 'key',
		'url' => 'longstring',
		'login' => 'string',
		'password' => 'string',
		'synchronise' => 'boolean'
	);

	public $links = array(
	);

	public function directory(){
		
		require_once(__DIR__.SLASH.'..'.SLASH.'document'.SLASH.'Element.class.php');
		$name = preg_replace('/\.git$|^http(s)?:\/\//is','',$this->url);
		return Element::root().'repository'.SLASH.slugify($name);
	}

	//Colonnes indexées
	public $indexes = array();
}
?>