<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">

	<title></title>

	<style type="text/css">
	/* CLIENT-SPECIFIC STYLES */
	body, table, td, a { -webkit-text-size-adjust: 100%; -ms-text-size-adjust: 100%; }
	table, td { mso-table-lspace: 0pt; mso-table-rspace: 0pt; }
	img { -ms-interpolation-mode: bicubic; }

	/* RESET STYLES */
	img { border: 0; outline: none; text-decoration: none; }
	table { border-collapse: collapse !important; }
	body { margin: 0 !important; padding: 0 !important; width: 100% !important; }

	/* iOS BLUE LINKS */
	a[x-apple-data-detectors] {
		color: inherit !important;
		text-decoration: none !important;
		font-size: inherit !important;
		font-family: inherit !important;
		font-weight: inherit !important;
		line-height: inherit !important;
	}

	/* ANDROID CENTER FIX */
	div[style*="margin: 16px 0;"] { margin: 0 !important; }

	/* MEDIA QUERIES */
	@media all and (max-width:639px){ 
		.wrapper{ width:320px!important; padding: 0 !important; }
		.container{ width:300px!important;  padding: 0 !important; }
		.mobile{ width:300px!important; display:block!important; padding: 0 !important; }
		.img{ width:100% !important; height:auto !important; }
		*[class="mobileOff"] { width: 0px !important; display: none !important; }
		*[class*="mobileOn"] { display: block !important; max-height:none !important; }
	}

</style>    
</head>
<body style="margin:0; padding:0; background-color:#F2F2F2;">
	<center>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#F2F2F2">
			<tr>
				<td align="center" valign="top">
					<!-- grids -->   
					<table width="640" cellpadding="0" cellspacing="0" border="0" class="wrapper" bgcolor="#FFFFFF">
						<tr>
							<td height="5" bgcolor="#FFC107" style="font-size:5px; line-height:5px;">&nbsp;</td>
						</tr>
						<tr>
							<td height="10" style="font-size:10px; line-height:10px;">&nbsp;</td>
						</tr>
						<tr>
							<td align="center" valign="top">

								<table width="600" cellpadding="0" cellspacing="0" border="0" class="container">
									<tr>
										<td align="center" valign="top">
											<h3>Bonjour, le ticket <a href="{{url}}">#{{id}}</a> a été ouvert par {{creator}}</h3>
											<p>Veuillez trouver ci dessous les informations principales:</p>
											<ul align="left" style="text-align:left;">
												<li>Navigateur : <strong>{{browser}}</strong></li>
												<li>Auteur : <strong>{{creator}}</strong></li>
											</ul>
											<strong>Page : {{from}} </strong><br>
											{{comment}}
											<br>
											<br>
											<p>Pour consulter l'ensemble des informations, cliquez sur le lien ci dessous.</p>

											<table width="200" height="44" cellpadding="0" cellspacing="0" border="0" bgcolor="#ff074e" style="border-radius:4px;">
												<tr>
													<td align="center" valign="middle" height="44" style="font-family: Arial, sans-serif; font-size:14px; font-weight:bold;">
														<a href="{{url}}" target="_blank" style="font-family: Arial, sans-serif; color:#ffffff; display: inline-block; text-decoration: none; line-height:44px; width:200px; font-weight:bold;">Voir le ticket</a>
													</td>
												</tr>
											</table>
											<br/>
											

										</td>
									</tr>
								</table>

							</td>
						</tr>
						<tr>
							<td height="10" style="font-size:10px; line-height:10px;">&nbsp;</td>
						</tr>
					</table>  
					<!-- /grids -->
				</td>
			</tr>
		</table>
	</center>
</body>
</html>