<?php 
require_once(__DIR__.SLASH.'IssueReportTag.class.php');
$tags = IssueReportTag::tags();
?>

<div class="issue-declare-button noPrint" onclick="issue_add();" title="Déclarer un bug"><i class="fas fa-bug"></i><i class="fas fa-cog fa-spin hidden"></i></div>
<!-- Modal -->
<div class="modal fade issue-report-modal" id="issue-report-modal" tabindex="-1" role="dialog" aria-labelledby="modal-issue-report-label" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="modal-issue-report-label">Nouveau ticket (Bug / Demandes) :</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row issue-form">
                    <div class="col-md-8">
                        <div class="row">
                            <div class="col-md-12">
                                <h5 class="d-inline-block mr-2 w-auto">Sélectionnez une catégorie :</h5>
                                <input type="text" data-tags='<?php echo json_encode($tags); ?>' class="issue-modal-tags no-select" data-type="tagcloud">
                            </div>
                            <div class="col-md-12"><hr></div>
                            <div class="col-md-8">
                                <h5 class="d-inline-block mr-2 w-auto">Commentez votre ticket :<small class="text-muted"> (eg. votre demande, étapes pour arriver à l'erreur, etc...)</small></h5>
                                <textarea data-type="wysiwyg" id="issue-comment" class="form-control mt-0"></textarea>
                            </div>
                            <div class="col-md-4">
                                <h5 class="d-inline-block mr-2 w-auto">Informations :</h5>
                                <ul  class="list-group">
                                    <li class="list-group-item">
                                        <div class="mb-1 font-weight-bold">Page :</div>
                                        <u class="text-info default"><span class="page-link-issue" data-uid="from"></span></u>
                                    </li>
                                    <li class="list-group-item">
                                        <div class="mb-1 font-weight-bold">Navigateur : </div>
                                        <span data-uid="browser"></span> <small class="text-muted" data-uid="browserVersion"></small>
                                    </li>
                                    <li class="list-group-item">
                                        <div class="font-weight-bold d-inline-block">Os : </div>
                                        <span class="badge badge-primary badge-pill" data-uid="os"></span>
                                    </li>
                                    <li class="list-group-item">
                                        <div class="font-weight-bold d-inline-block">Internet : </div>
                                        <span class="badge badge-primary badge-pill" data-uid="online"></span>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <h5 class="d-inline-block mr-2 w-auto">Fichiers joints :</h5>
                        <div onclick="issue_screenshot()" class="btn d-inline-block p-0 float-right"><i class="fas fa-camera-retro"></i> <small class="text-muted">Prendre une capture d'écran</small></div>
                        <div data-type="dropzone" data-label="Faites glisser vos fichiers supplémentaires ici" data-allowed="jpeg,jpg,bmp,gif,png,xlsx,docx,pdf" class="form-control mt-2" id="document" name="document"></div>
                        <div class="issue-screenshot hidden"></div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="close-button btn btn-light" data-dismiss="modal">Fermer</button>
                    <button type="button" id="issue-send" class="btn btn-primary" onclick="issue_send(this);"><i class="far fa-paper-plane"></i> Envoyer</button>
                </div>
            </div>
        </div>
    </div>
