<?php 
if(!$myUser->connected()) throw new Exception("Vous devez être connecté pour accéder à cette fonctionnalité",401);
if(!$myUser->can('hackpoint','read')) throw new Exception("Vous n'avez pas la permission pour executer cette fonctionnalité",403);
require_once(__DIR__.SLASH.'Part.class.php');
$part = Part::provide();
?>
<div class="hackpoint">
	<div id="part-form" class="row part-form" data-action="part_part_save" data-id="<?php echo $part->id; ?>">
		<div class="col-md-12">
			<h3>Part</h3>
			<label for="label">Libellé</label>
			<input id="label" name="label" class="form-control" placeholder="" value="<?php echo $part->label; ?>" type="text">
			<label for="price">Prix moyen</label>
			<input id="price" name="price" class="form-control" placeholder="" value="<?php echo $part->price; ?>" type="text">
			<label for="link">Lien</label>
			<textarea id="link" name="link" class="form-control"><?php echo $part->link; ?></textarea>
			<label for="brand">Marque</label>
			<input id="brand" name="brand" class="form-control" placeholder="" value="<?php echo $part->brand; ?>" type="text">
			<br/>
			<div onclick="part_part_save();" class="btn btn-success"><i class="fas fa-check"></i> Enregistrer</div>
		</div>
	</div>
</div>

